Loading...
Searching...
No Matches
pqxx::string_traits< range< TYPE > > Struct Template Reference

String conversions for a range type. More...

## Static Public Member Functions

static zview | to_buf (char *begin, char *end, range< TYPE > const &value)
static char * | into_buf (char *begin, char *end, range< TYPE > const &value)
static range< TYPE > | from_string (std::string_view text)
static constexpr std::size_t | size_buffer (range< TYPE > const &value) noexcept

## Static Public Attributes

static constexpr bool | converts_to_string
| Is conversion from TYPE to strings supported?
static constexpr bool | converts_from_string
| Is conversion from string_view to TYPE supported?

## Detailed Description

template<typename TYPE>
struct pqxx::string_traits< range< TYPE > >

String conversions for a range type.

Conversion assumes that either your client encoding is UTF-8, or the values are pure ASCII.

## Member Data Documentation

## converts_from_string

bool pqxx::string_traits< TYPE >::converts_from_string

static constexpr

Is conversion from string_view to TYPE supported?

When defining your own conversions, specialise this as true to indicate that your string traits support from_string.

## converts_to_string

bool pqxx::string_traits< TYPE >::converts_to_string

static constexpr

Is conversion from TYPE to strings supported?

When defining your own conversions, specialise this as true to indicate that your string traits support the conversions to strings.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/range.hxx